Summary: Another task manager applet 
Name: gps
Version: 1.1.0
Release: 4mdk
Source0: ftp://ftp.seul.org/pub/gps/%{name}-%{version}.tar.bz2
Source1: gps_16.png
Source2: gps_32.png
Source3: gps_48.png
Patch: gps-doc.patch.bz2
Patch2: gps-1.1.0-varargs.patch.bz2
License: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gps.seul.org/
BuildRequires: libstdc++-devel, gtk+-devel XFree86-devel

%description
gPS is a task manager applet for Linux, based on gtk+. It shows a graphical
list of processes like ps and top. gPS reads data directly from the /proc 
filesystem. It allows the user to filter and sort te process list on any field,
to kill processes with SIGHUP and SIGKILL signals and to renice processes.


%prep
%setup -q
%patch -p 1 -b .doc
%patch2 -p1 -b .varargs

%build
%configure

%make CCC="c++ $CXXFLAGS"

%install
rm -rf $RPM_BUILD_ROOT

install -s -m 755 %{name} -D $RPM_BUILD_ROOT%{_bindir}/%{name}
install -m 644 %{name}.1x -D $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1x

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="X11" \
	section="Applications/Monitoring" \
	title="GPS" \
    longtitle="Graphical Process Statistics"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root) 
%doc README CHANGELOG COPYING
%{_bindir}/gps
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.1.0-4mdk
- fix reqs
- varargs fixes

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.1.0-3mdk
- REbuild

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.1.0-2mdk
- rebuild
- convert icons to png
- cosmetics
- macroize
- bzip2 S0

* Fri Jan  3 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.1.0-1mdk
- New release

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-5mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- Automated rebuild with gcc3.2

* Thu Nov 15 2001 Ludovic Francois <lfrancois@mandrakesoft.com> 0.10.3-3mdk
- rebuild for rpmlint

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.3-2mdk
- rebuild

* Fri Jun 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.3-1mdk
- Release 0.10.3

* Tue Dec  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Uses CXXFLAGS (and makes petit_bouchon happy)

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.3-1mdk
- put a new and shiny source into cooker.

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Add missing icons

* Fri Aug 11 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.1-2mdk
- automatically added BuildRequires

* Tue Aug  1 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- recreate patch for new release

* Thu Jul 27 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- BM + macroszification
- patch for doc directory move
- add menu entry
- add manpage

* Sun Jul 09 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.8.1-1mdk
- Updated version

* Thu Apr 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.7.1-2mdk
- Fixed group for current group structure

* Wed Mar 1 2000 Daouda LO <daouda@mandrakesoft.com>

 -0.7.1

 -not updated since last millenium ;-)

* Mon Aug 30 1999 Daouda LO <daouda@mandrakesoft.com>

 -0.3.2 


# end of file
